/***************************************************************************
                          cauldron.c  -  For interface
                             -------------------
    begin                : Wed Jul 25 2001
    copyright            : (C) 2001 by Josiah Zayner
    email                : phric@legions.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#include "wand.h"


void gtkdestroy(GtkWidget *widg, GtkWidget *windo){ gtk_widget_destroy(windo); }

void prterr(char *message)
{
  GtkWidget *windo, *errlbl, *okbutt = NULL, *fixe;

  windo = gtk_window_new(GTK_WINDOW_TOPLEVEL);
  gtk_widget_set_usize(windo, 250, 150);
  gtk_window_set_title(GTK_WINDOW(windo), "An Error Has Occured");
  gtk_window_set_position(GTK_WINDOW(windo), GTK_WIN_POS_CENTER);
  /* use fixed positioning so I can place stuff wherever */
  fixe = gtk_fixed_new();
  gtk_container_add(GTK_CONTAINER(windo), fixe);
  gtk_widget_show(fixe);

  /* Our button to send packets*/
  okbutt = make_button(okbutt,
                       "  OK  ",
                       70, 25,
                       100, 100,
                       fixe
                      );
   gtk_signal_connect(GTK_OBJECT(okbutt),
                     "pressed",
                     GTK_SIGNAL_FUNC(gtkdestroy),
                     windo
                    );

  errlbl = gtk_label_new(message);
  /* position label */
  gtk_fixed_put(GTK_FIXED(fixe), errlbl, 10, 20);
  gtk_widget_show(errlbl);
  gtk_widget_show(windo);

 }

int main(int argc, char **argv)
{


  GtkWidget *window;
  GtkWidget *send_pack, *def_fields;

  send_pack = def_fields = NULL;

  gtk_init(&argc, &argv);


  /* intialize window */
  window = gtk_window_new(GTK_WINDOW_TOPLEVEL);
  gtk_widget_set_usize(window, 600, 600);
   gtk_window_set_position(GTK_WINDOW(window), GTK_WIN_POS_CENTER);
  /* connect the destroy signal to close the window */
  gtk_signal_connect(GTK_OBJECT(window),
                     "destroy",
                     GTK_SIGNAL_FUNC(gtk_main_quit),
                     NULL
                    );

  /* set window title */
  gtk_window_set_title(GTK_WINDOW(window), "                 IP Sorcery");
  /* gtk_window_set_policy(GTK_WINDOW(window), TRUE, TRUE, TRUE);  */
  /* use fixed positioning so I can place stuff wherever */
  fixed_pos = gtk_fixed_new();
  gtk_container_add(GTK_CONTAINER(window), fixed_pos);
  gtk_widget_show(fixed_pos);

  /* Our button to send packets*/
  send_pack = make_button(send_pack,
                         "Send Packet",
                          90, 30,
                          40, 550,
                          fixed_pos
                         );

  /* if we click on button send the packet*/
  gtk_signal_connect(GTK_OBJECT(send_pack),
                     "pressed",
                     GTK_SIGNAL_FUNC(send_packet),
                     NULL
                    );

  /* Our button to set defaults*/
  def_fields = make_button(def_fields,
                            "Default Values",
                            90, 30,
                            480, 550,
                            fixed_pos
                           );

  /* if we click on button to set the defaults*/
  gtk_signal_connect(GTK_OBJECT(def_fields),
                     "clicked",
                     GTK_SIGNAL_FUNC(ip_defaults),
                     NULL
                    );

  ip_cauldron();


  gtk_widget_show(window);
  gtk_main();
  return 0;
}


