/***************************************************************************
                          rip.h  -  For RIP packet header
                             -------------------
    begin                : Wed Jan 30 2002
    copyright            : (C) 2002 by Josiah Zayner
    email                : phric@legions.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _RIP_H
#define _RIP_H

#ifndef _NETINET_IN_H
#include <netinet/in.h>
#endif

struct rip {

  u_char comm;
  u_char vers;
  u_short none;

    u_short addr_fam;
    u_short route_tag;
    struct in_addr addr;
    struct in_addr mask;
    struct in_addr nhop;  
    u_int metric;

};


#endif /* _RIP_H */
